Package ru.bitel.bgbilling.modules.bill.server.bean

# Class Extraction

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.Extraction

public class Extraction extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Extraction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccount()`
  `String`
  `getBillNumber()`
  `float`
  `getBillSumm()`
  сумма по базе данных, если таковая будет найдена
  `int`
  `getCid()`
  `String`
  `getContractTitle()`
  `Calendar`
  `getCreateDt()`
  `String`
  `getDraftNumber()`
  `int`
  `getErrorStatus()`
  `String`
  `getInn()`
  `Calendar`
  `getPayDt()`
  `float`
  `getSumm()`
  сумма по платежному поручению, если таковая будет найдена
  `void`
  `setAccount(String account)`
  `void`
  `setBillNumber(String billNumber)`
  `void`
  `setBillSumm(float billSumm)`
  сумма по базе данных, если таковая будет найдена
  `void`
  `setCid(int cid)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setCreateDt(Calendar createDt)`
  `void`
  `setDraftNumber(String draftNumber)`
  `void`
  `setErrorStatus(int errorStatus)`
  `void`
  `setInn(String inn)`
  `void`
  `setPayDt(Calendar payDt)`
  `void`
  `setSumm(float summ)`
  сумма по платежному поручению, если таковая будет найдена

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Extraction

    public Extraction()

- ## Method Details

  - ### getAccount

    public String getAccount()

  - ### setAccount

    public void setAccount(String account)

  - ### getInn

    public String getInn()

  - ### setInn

    public void setInn(String inn)

  - ### getBillNumber

    public String getBillNumber()

  - ### setBillNumber

    public void setBillNumber(String billNumber)

  - ### getCreateDt

    public Calendar getCreateDt()

  - ### setCreateDt

    public void setCreateDt(Calendar createDt)

  - ### getPayDt

    public Calendar getPayDt()

  - ### setPayDt

    public void setPayDt(Calendar payDt)

  - ### getSumm

    public float getSumm()
    сумма по платежному поручению, если таковая будет найдена

  - ### setSumm

    public void setSumm(float summ)
    сумма по платежному поручению, если таковая будет найдена

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### getDraftNumber

    public String getDraftNumber()

  - ### setDraftNumber

    public void setDraftNumber(String draftNumber)

  - ### getErrorStatus

    public int getErrorStatus()

  - ### setErrorStatus

    public void setErrorStatus(int errorStatus)

  - ### getBillSumm

    public float getBillSumm()
    сумма по базе данных, если таковая будет найдена

  - ### setBillSumm

    public void setBillSumm(float billSumm)
    сумма по базе данных, если таковая будет найдена

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)